import dataiku

def _get_filesystem_folders():
    client = dataiku.api_client()
    project = client.get_default_project()
    project_folders = project.list_managed_folders()
    return [p for p in project_folders if p["type"] == "Filesystem"]


def do(payload, config, plugin_config, inputs):
    project_folders = _get_filesystem_folders()
    choices = [{"value": p["id"], "label": p["name"]} for p in project_folders]
    return {"choices": choices}
