class DssUser:
    __user_properties = [
        "adminProperties",
        "userProperties",
        "secrets",
        "credentials",
        "activeWebSocketSesssions",
        "login",
        "sourceType",
        "displayName",
        "groups",
        "email",
        "userProfile",
        "npsSurveySettings",
        "atSurveySettings",
        "enabled",
        "objectImgHash",
    ]

    def __init__(self, **kwargs):
        self.__set_properties(kwargs)

    def __set_properties(self, properties_value):
        for _prop in DssUser.__user_properties:
            setattr(self, _prop, properties_value.get(_prop))
