from . import db, ModelBase
import enum
from sqlalchemy import Enum


class UserConfigParam(str, enum.Enum):
    CARD_UNPIN = "CARD_UNPIN"
    CARDS_ORDERING = "CARDS_ORDERING"
    CARD_VISIBILITY = "CARD_VISIBILITY"


class UserConfig(ModelBase):
    __tablename_base__ = "user_config"
    dss_user_id = db.Column(db.String(64), primary_key=True)
    param = db.Column(Enum(UserConfigParam), nullable=False, primary_key=True)
    param_value = db.Column(db.Text, nullable=False)
